# Wildcard Certificates by Subject DN

Matches records whose ssl.subject_dn starts with CN=*..

Source: https://docs.deepinfo.com/reference/discovery/domain-search/examples/ssl-subject-dn/

Last updated: 2026-09-26

---
`POST https://api.deepinfo.com/v1/discovery/domain-search?page_size=25`

Example 21 of 29 in **Filters › SSL** · [Domain Search Examples](/reference/discovery/domain-search/examples/) · endpoint: [Domain Search](/reference/discovery/domain-search/)

Tags: `field` `ssl.subject_dn` · `operator` `startswith`

Matches records whose `ssl.subject_dn` starts with `CN=*.`.

A subject DN that starts with `CN=*.` belongs to a wildcard certificate.

In the response, look at `results[].ssl.subject_dn`.

## Request

| Parameter | In | Value |
|---|---|---|
| `page_size` | query | `25` |
| `filters.must[0].name` | body | `ssl.subject_dn` |
| `filters.must[0].type` | body | `startswith` |
| `filters.must[0].value` | body | `CN=*.` |

```bash
curl -X POST 'https://api.deepinfo.com/v1/discovery/domain-search?page_size=25' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "filters": {
    "must": [
      {
        "name": "ssl.subject_dn",
        "type": "startswith",
        "value": "CN=*."
      }
    ]
  }
}'
```

## Response

### 200 · OK

> Shortened for this page: results: 3 of 25 shown

`Content-Type: application/json` · `ratelimit-limit: 1000` · `ratelimit-remaining: 999` · `ratelimit-reset: 1` · `x-ratelimit-limit-hour: 100000` · `x-ratelimit-limit-minute: 10000` · `x-ratelimit-limit-second: 1000` · `x-ratelimit-remaining-hour: 99899` · `x-ratelimit-remaining-minute: 9993` · `x-ratelimit-remaining-second: 999` · `deepinfo-request-id: 5f0c6a8e-1b2d-4c3e-9f4a-7b8c9d0e1f2a`

```json
{
  "page": 1,
  "page_size": 25,
  "result_count": 150743550,
  "results": [
    {
      "punycode": "reiber-schreinerei.de",
      "unicode": "reiber-schreinerei.de",
      "is_idn": false,
      "subdomain": null,
      "subdomain_last": null,
      "subdomain_root": null,
      "name": {
        "punycode": "reiber-schreinerei",
        "unicode": "reiber-schreinerei",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": true,
        "length": 18,
        "lang": "de",
        "keywords": [
          "reiber",
          "schreinerei"
        ],
        "keyword_count": 2,
        "latinized": [],
        "contains_confusable": false
      },
      "domain": {
        "punycode": "reiber-schreinerei.de",
        "unicode": "reiber-schreinerei.de",
        "is_idn": false,
        "name": {
          "punycode": "reiber-schreinerei",
          "unicode": "reiber-schreinerei",
          "is_idn": false,
          "contains_letter": true,
          "contains_number": false,
          "contains_hyphen": true,
          "length": 18,
          "lang": "de",
          "keywords": [
            "reiber",
            "schreinerei"
          ],
          "keyword_count": 2
        },
        "extension": {
          "punycode": "de",
          "unicode": "de",
          "is_idn": false
        },
        "extension_root": {
          "punycode": "de",
          "unicode": "de",
          "is_idn": false
        },
        "extension_sub": null,
        "extension_type": 2,
        "reserved": null,
        "premium": null,
        "registered": true,
        "whois": {
          "create_date": null,
          "update_date": "2020-09-07T11:22:57Z",
          "expiry_date": null,
          "registrar": null,
          "registrant": {
            "name": null,
            "organization": null,
            "street": null,
            "city": null,
            "state": null,
            "postal_code": null,
            "country": null,
            "phone": null,
            "email": null
          },
          "name_servers": [
            "ns3.ai-dns.de",
            "ns5.kasserver.com",
            "ns5.name-server-kas.de",
            "ns6.kasserver.com"
          ],
          "domain_status": [
            "connect"
          ],
          "whois_server": null,
          "check_date": "2026-07-20T14:09:18Z"
        },
        "whois_normalized": {
          "registrant": null
        },
        "whois_last_check_date": "2026-07-20T14:09:18Z",
        "whois_create_date_historical": [],
        "whois_last_change_date": null,
        "whois_registrant_email_historical": [],
        "whois_privacy_enabled": null,
        "dns": {
          "a": {
            "update_date": "2026-09-03T16:35:21Z",
            "ip_addresses": [
              "85.13.161.47"
            ]
          }
        },
        "dns_last_change_date": "2026-09-03T16:35:27Z",
        "ip_history": [
          "85.13.161.47"
        ],
        "ssl": {
          "validity": {
            "start_date": "2025-12-04T00:00:00Z",
            "end_date": "2027-01-04T23:59:59Z"
          },
          "serial_number": "317195471285221077770134240717494399807",
          "check_date": "2026-08-11T07:27:21Z"
        },
        "ssl_last_change_date": "2026-01-19T22:58:00Z"
      },
      "type": 1,
      "subdomain_level_count": 0,
      "dns": {
        "a": {
          "update_date": "2026-09-03T16:35:21Z",
          "ip_addresses": [
            "85.13.161.47"
          ]
        },
        "aaaa": {
          "update_date": "2026-09-03T16:35:21Z",
          "ip_addresses": []
        },
        "ns": {
          "update_date": "2026-09-03T16:35:21Z",
          "name_servers": [
            "ns3.ai-dns.de",
            "ns5.kasserver.com",
            "ns5.name-server-kas.de",
            "ns6.kasserver.com"
          ]
        },
        "mx": {
          "update_date": "2026-09-03T16:35:21Z",
          "mail_servers": [
            "w0176a57.kasserver.com"
          ]
        },
        "soa": {
          "update_date": "2026-09-03T16:35:21Z",
          "mnames": [
            "ns5.kasserver.com"
          ],
          "rnames": [
            "hostmaster.kasserver.com"
          ],
          "rname_emails": [
            "user@kasserver.com"
          ]
        },
        "txt": {
          "update_date": "2026-09-03T16:35:21Z",
          "values": [
            "\"v=spf1 a mx include:spf.kasserver.com ~all\""
          ]
        },
        "cname": {
          "update_date": "2026-09-03T16:35:21Z",
          "values": []
        },
        "others": []
      },
      "dns_last_change_date": "2026-09-03T16:35:27Z",
      "ip_history": [
        "85.13.161.47"
      ],
      "ssl": {
        "tags": [
          "dla"
        ],
        "fqdns": [
          "kasserver.com"
        ],
        "version": 3,
        "serial_number": "317195471285221077770134240717494399807",
        "fingerprint": {
          "sha256": "b5d3da253cbb3253028a6428ed66712eee4abdd9c31463ccc464889085f4168b",
          "sha1": "20b933213a2fa939b9d8ca1aac07b319715cb2ac",
          "md5": "e5cc5a62a853408f3e5bf2875c1283a7"
        },
        "validity": {
          "start_date": "2025-12-04T00:00:00Z",
          "end_date": "2027-01-04T23:59:59Z",
          "length": 34300799
        },
        "signature": {
          "is_self_signed": false,
          "is_valid": false,
          "value": "lIfkdWtRsqPvpKHoiuQqgH8rjVF8K3Ebdv2Pha5N38EF06LiDzWmPomcX0zRitVla6x1ozaIy2+YMGW+T4e9jLq6/sneKBxQO/rhEZaFvqQPWFLqwza2ET7+gAiUsg5dLH5e1gYdHBMsKQvvcxhBs8z0zBiF7Dw/0gPJUclyicN4hWKE1GlRiur4xn1TjB6wqMs5d39hXUtKlYotxp/ntzlBTi1wEMRk/Rh1CsAf6lVz/Y0kG02EjtVBoGcrJ1VO5FFtguo0LRT5zN8lgiIqtH/lYPRlxtJobNsGj9Y2OOZPpTSs0emNNYQaPnvSFMvrtLxJ+C+J/roWrSiGsKDia8aRKBvy018nvSs9RoW50WrD2YTPnXrs4HsraqQEmeJrjpIcrwHExnBW9N8jjEhctUp6L4DGxCX0ZBy0zinNOPuoyUY0UA2fCMt6tP+pQYm43DRoD9TTW6WjC0TJOq18WYA8Z6s8aNtsQZrG0pl6Am1kG64sRdw1Pl3mY5QBAR+7",
          "algorithm": {
            "oid": "1.2.840.113549.1.1.11",
            "name": "sha256"
          }
        },
        "issuer_dn": "CN=Sectigo Public Server Authentication CA DV R36,O=Sectigo Limited,C=GB",
        "issuer": {
          "common_name": "Sectigo Public Server Authentication CA DV R36",
          "country": "GB",
          "state": null,
          "locality": null,
          "organization": "Sectigo Limited",
          "organizational_unit": null
        },
        "subject_dn": "CN=*.kasserver.com",
        "subject": {
          "common_name": "*.kasserver.com",
          "country": null,
          "state": null,
          "locality": null,
          "organization": null,
          "organizational_unit": null
        },
        "extensions": {
          "authority_key_id": "aMASFhgOr872h6YyV6NGUV3LByc=",
          "basic_constraints": {
            "is_ca": false
          },
          "certificate_policies": [
            "1.3.6.1.4.1.6449.1.2.2.7",
            "2.23.140.1.2.1"
          ],
          "extended_key_usage": {
            "client_auth": null,
            "server_auth": true
          },
          "key_usage": {
            "digital_signature": true,
            "content_commitment": false,
            "key_agreement": false,
            "data_encipherment": false,
            "key_encipherment": true,
            "key_cert_sign": false,
            "crl_sign": false
          },
          "signed_certificate_timestamps": [
            "2025-12-04T10:48:45Z",
            "2025-12-04T10:48:46Z"
          ],
          "subject_alt_name": {
            "dns_names": [
              "*.kasserver.com",
              "kasserver.com"
            ]
          },
          "subject_key_id": "LOgkkb5w5gk/5C9zPisFzz+cNiA="
        },
        "check_date": "2026-08-11T07:27:21Z"
      },
      "ssl_last_change_date": "2026-01-19T22:57:57Z",
      "webdata": {
        "connection_status": "success",
        "html": {
          "source_code_hash": "d0ff221705793c5ec26742d3ef0d91958f4c3e33f6b17d1b87f7dc09de2fc8b6"
        },
        "http": {
          "status_code_first": 200,
          "status_code_last": 200,
          "redirection_history": [
            {
              "url": "http://reiber-schreinerei.de/",
              "status_code": 200
            }
          ],
          "external_redirection": null,
          "final_url": "http://reiber-schreinerei.de/",
          "final_fqdn": "reiber-schreinerei.de",
          "final_domain": "reiber-schreinerei.de",
          "headers": {
            "others": [
              {
                "name": "date",
                "value": "Mon, 23 Feb 2026 08:26:27 GMT"
              },
              {
                "name": "upgrade",
                "value": "h2,h2c"
              },
              {
                "name": "connection",
                "value": "Upgrade, Keep-Alive"
              },
              {
                "name": "etag",
                "value": "\"44f-55ae9e54e91b4-gzip\""
              },
              {
                "name": "accept_ranges",
                "value": "bytes"
              },
              {
                "name": "vary",
                "value": "Accept-Encoding,User-Agent"
              },
              {
                "name": "content_length",
                "value": "648"
              },
              {
                "name": "keep_alive",
                "value": "timeout=2, max=1000"
              }
            ],
            "access_control_allow_headers": null,
            "access_control_allow_methods": null,
            "access_control_allow_origin": null,
            "cache_control": null,
            "clear_site_data": null,
            "content_encoding": "gzip",
            "content_security_policy": null,
            "content_type": "text/html",
            "cross_origin_embedder_policy": null,
            "cross_origin_opener_policy": null,
            "cross_origin_resource_policy": null,
            "expect_ct": null,
            "feature_policy": null,
            "last_modified": "Sat, 07 Oct 2017 00:18:24 GMT",
            "permission_policy": null,
            "referrer_policy": null,
            "server": "Apache",
            "set_cookie": null,
            "strict_transport_security": null,
            "x_content_type_options": null,
            "x_download_options": null,
            "x_frame_options": null,
            "x_permitted_cross_domain_policies": null,
            "x_powered_by": null,
            "x_xss_protection": null
          },
          "cookies": []
        }
      }
    },
    {
      "punycode": "anwalt-wiesbaden-familienrecht.de",
      "unicode": "anwalt-wiesbaden-familienrecht.de",
      "is_idn": false,
      "subdomain": null,
      "subdomain_last": null,
      "subdomain_root": null,
      "name": {
        "punycode": "anwalt-wiesbaden-familienrecht",
        "unicode": "anwalt-wiesbaden-familienrecht",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": true,
        "length": 30,
        "lang": "pt",
        "keywords": [
          "anwalt",
          "wiesbaden",
          "familienrecht"
        ],
        "keyword_count": 3,
        "latinized": [],
        "contains_confusable": false
      },
      "domain": {
        "punycode": "anwalt-wiesbaden-familienrecht.de",
        "unicode": "anwalt-wiesbaden-familienrecht.de",
        "is_idn": false,
        "name": {
          "punycode": "anwalt-wiesbaden-familienrecht",
          "unicode": "anwalt-wiesbaden-familienrecht",
          "is_idn": false,
          "contains_letter": true,
          "contains_number": false,
          "contains_hyphen": true,
          "length": 30,
          "lang": "pt",
          "keywords": [
            "anwalt",
            "wiesbaden",
            "familienrecht"
          ],
          "keyword_count": 3
        },
        "extension": {
          "punycode": "de",
          "unicode": "de",
          "is_idn": false
        },
        "extension_root": {
          "punycode": "de",
          "unicode": "de",
          "is_idn": false
        },
        "extension_sub": null,
        "extension_type": 2,
        "reserved": null,
        "premium": null,
        "registered": true,
        "whois": {
          "create_date": null,
          "update_date": "2025-06-02T13:10:22Z",
          "expiry_date": null,
          "registrar": null,
          "registrant": {
            "name": null,
            "organization": null,
            "street": null,
            "city": null,
            "state": null,
            "postal_code": null,
            "country": null,
            "phone": null,
            "email": null
          },
          "name_servers": [
            "ns59.domaincontrol.com",
            "ns60.domaincontrol.com"
          ],
          "domain_status": [
            "connect"
          ],
          "whois_server": null,
          "check_date": "2026-09-03T16:26:44Z"
        },
        "whois_normalized": {
          "registrant": null
        },
        "whois_last_check_date": "2026-09-03T16:26:44Z",
        "whois_create_date_historical": [],
        "whois_last_change_date": "2025-06-02T13:48:08Z",
        "whois_registrant_email_historical": [],
        "whois_privacy_enabled": null,
        "dns": {
          "a": {
            "update_date": "2026-08-29T19:51:49Z",
            "ip_addresses": [
              "13.248.243.5",
              "76.223.105.230"
            ]
          }
        },
        "dns_last_change_date": "2025-06-02T22:49:07Z",
        "ip_history": [
          "13.248.243.5",
          "76.223.105.230"
        ],
        "ssl": {
          "validity": {
            "start_date": "2025-09-12T16:32:51Z",
            "end_date": "2026-10-14T16:32:51Z"
          },
          "serial_number": "5414648525574392698",
          "check_date": "2026-04-29T03:56:56Z"
        },
        "ssl_last_change_date": "2025-12-11T10:15:50Z"
      },
      "type": 1,
      "subdomain_level_count": 0,
      "dns": {
        "a": {
          "update_date": "2026-08-29T19:51:49Z",
          "ip_addresses": [
            "13.248.243.5",
            "76.223.105.230"
          ]
        },
        "aaaa": {
          "update_date": "2026-08-29T19:51:49Z",
          "ip_addresses": []
        },
        "ns": {
          "update_date": "2026-08-29T19:51:49Z",
          "name_servers": [
            "ns59.domaincontrol.com",
            "ns60.domaincontrol.com"
          ]
        },
        "mx": {
          "update_date": "2026-08-29T19:51:49Z",
          "mail_servers": []
        },
        "soa": {
          "update_date": "2026-08-29T19:51:49Z",
          "mnames": [
            "ns59.domaincontrol.com"
          ],
          "rnames": [
            "dns.jomax.net"
          ],
          "rname_emails": [
            "user@jomax.net"
          ]
        },
        "txt": {
          "update_date": "2026-08-29T19:51:49Z",
          "values": [
            "\"google-site-verification=lRYFxGuICZpUHWZHuvEG9C0GuK5rM6MUWQU8FiwtUAQ\""
          ]
        },
        "cname": {
          "update_date": "2026-08-29T19:51:49Z",
          "values": []
        },
        "others": []
      },
      "dns_last_change_date": "2025-06-02T22:49:06Z",
      "ip_history": [
        "13.248.243.5",
        "76.223.105.230"
      ],
      "ssl": {
        "tags": [
          "dla"
        ],
        "fqdns": [
          "secureserversites.net"
        ],
        "version": 3,
        "serial_number": "5414648525574392698",
        "fingerprint": {
          "sha256": "624c31a8d1d1dd7b29b2d3e6ef752d7ddc59d305677fa27beb6f054fb9529234",
          "sha1": "843950e6f170504a4d6034a2e876be8951dd4e09",
          "md5": "d2e005fb40eccd249c6d7f01838ba679"
        },
        "validity": {
          "start_date": "2025-09-12T16:32:51Z",
          "end_date": "2026-10-14T16:32:51Z",
          "length": 34300800
        },
        "signature": {
          "is_self_signed": false,
          "is_valid": false,
          "value": "lL3Y655HRFvinzYIBia6hW9+SmvNU/bcBtICL+HrMLBX7/fzAJHSrB7LZ10+kZS6AMlyz51luVKuWARKfsVQpgTBwmQzDkE1A8M+ra6Fvk3wEgCdIzEYbv6omjP6jZ2ggsdsZpLCODipVtyTx33m0yrwLjyB+5VraU/6jVufuRrVUfuywShOm/0NHTgL9LeYnxZMMRYKSVpaEur7uuJFLehS55TRtOUPgkyr/zP79/OLFbvVN1ocKcvOH6uekKhaX51tzsx5lBjbVRpuQMJYSdDyNqJ07hPdHIK+Joq6d91O/WYOLjdz+LKSO4IzKYQTSKCQrUbo73Sl3PYZetk/NA==",
          "algorithm": {
            "oid": "1.2.840.113549.1.1.11",
            "name": "sha256"
          }
        },
        "issuer_dn": "CN=Starfield Secure Certificate Authority - G2,OU=http://certs.starfieldtech.com/repository/,O=Starfield Technologies\\, Inc.,L=Scottsdale,ST=Arizona,C=US",
        "issuer": {
          "common_name": "Starfield Secure Certificate Authority - G2",
          "country": "US",
          "state": "Arizona",
          "locality": "Scottsdale",
          "organization": "Starfield Technologies, Inc.",
          "organizational_unit": "http://certs.starfieldtech.com/repository/"
        },
        "subject_dn": "CN=*.secureserversites.net",
        "subject": {
          "common_name": "*.secureserversites.net",
          "country": null,
          "state": null,
          "locality": null,
          "organization": null,
          "organizational_unit": null
        },
        "extensions": {
          "authority_key_id": "JUWBaFAmOD07LSy+zWrZtj2zZmM=",
          "basic_constraints": {
            "is_ca": false
          },
          "certificate_policies": [
            "2.23.140.1.2.1",
            "2.16.840.1.114414.1.7.23.1"
          ],
          "extended_key_usage": {
            "client_auth": true,
            "server_auth": true
          },
          "key_usage": {
            "digital_signature": true,
            "content_commitment": false,
            "key_agreement": false,
            "data_encipherment": false,
            "key_encipherment": true,
            "key_cert_sign": false,
            "crl_sign": false
          },
          "signed_certificate_timestamps": [
            "2025-09-12T16:32:51Z",
            "2025-09-12T16:32:52Z",
            "2025-09-12T16:32:54Z"
          ],
          "subject_alt_name": {
            "dns_names": [
              "*.secureserversites.net",
              "secureserversites.net"
            ]
          },
          "subject_key_id": "2m98FV7L40OYnO1IlhiKEGL3cr8="
        },
        "check_date": "2026-04-29T03:56:56Z"
      },
      "ssl_last_change_date": "2025-12-11T10:15:49Z",
      "webdata": {
        "connection_status": "success",
        "html": {
          "source_code_hash": "b433375e9baaba9db1802c39d1d0854cce562069aaae57d5c7ea8d0d2150228f"
        },
        "http": {
          "status_code_first": 200,
          "status_code_last": 200,
          "redirection_history": [
            {
              "url": "http://anwalt-wiesbaden-familienrecht.de/",
              "status_code": 200
            }
          ],
          "external_redirection": null,
          "final_url": "http://anwalt-wiesbaden-familienrecht.de/",
          "final_fqdn": "anwalt-wiesbaden-familienrecht.de",
          "final_domain": "anwalt-wiesbaden-familienrecht.de",
          "headers": {
            "others": [
              {
                "name": "link",
                "value": "<//img1.wsimg.com/ceph-p3-01/website-builder-data-prod/static/widgets/UX.4.50.0.js>; rel=preload; as=script; crossorigin,<https://img1.wsimg.com/gfonts/s/playfairdisplay/v40/nuFiD-vYSZviVYUb_rj3ij__anPXDTzYgA.woff2>; rel=preload; as=font; crossorigin,<https://img1.wsimg.com/gfonts/s/sourcesanspro/v23/6xKwdSBYKcSV-LCoeQqfX1RYOo3qPZZMkids18Q.woff2>; rel=preload; as=font; crossorigin,<https://img1.wsimg.com/gfonts/s/sourcesanspro/v23/6xK1dSBYKcSV-LCoeQqfX1RYOo3qPZ7nsDI.woff2>; rel=preload; as=font; crossorigin,<https://img1.wsimg.com/gfonts/s/sourcesanspro/v23/6xKwdSBYKcSV-LCoeQqfX1RYOo3qPZZclSds18Q.woff2>; rel=preload; as=font; crossorigin,<https://img1.wsimg.com/gfonts/s/sourcesanspro/v23/6xKydSBYKcSV-LCoeQqfX1RYOo3ik4zwlxdu.woff2>; rel=preload; as=font; crossorigin,<https://img1.wsimg.com/gfonts/s/sourcesanspro/v23/6xK3dSBYKcSV-LCoeQqfX1RYOo3qOK7l.woff2>; rel=preload; as=font; crossorigin,<https://img1.wsimg.com/gfonts/s/sourcesanspro/v23/6xKydSBYKcSV-LCoeQqfX1RYOo3ig4vwlxdu.woff2>; rel=preload; as=font; crossorigin,<https://img1.wsimg.com/gfonts/s/montserrat/v31/JTUSjIg1_i6t8kCHKm459Wlhyw.woff2>; rel=preload; as=font; crossorigin,<https://fonts.googleapis.com>; rel=preconnect; crossorigin,<https://fonts.gstatic.com>; rel=preconnect; crossorigin,<https://img1.wsimg.com>; rel=preconnect; crossorigin,<https://isteam.wsimg.com>; rel=preconnect; crossorigin"
              },
              {
                "name": "etag",
                "value": "73309c3bdf61e72e5c346e13af39d1aa"
              },
              {
                "name": "vary",
                "value": "Accept-Encoding"
              },
              {
                "name": "x_version",
                "value": "bc33bdf"
              },
              {
                "name": "x_siteid",
                "value": "us-west-2"
              },
              {
                "name": "date",
                "value": "Mon, 01 Jun 2026 22:23:10 GMT"
              },
              {
                "name": "keep_alive",
                "value": "timeout=5"
              },
              {
                "name": "transfer_encoding",
                "value": "chunked"
              }
            ],
            "access_control_allow_headers": null,
            "access_control_allow_methods": null,
            "access_control_allow_origin": null,
            "cache_control": "max-age=30",
            "clear_site_data": null,
            "content_encoding": "gzip",
            "content_security_policy": "frame-ancestors 'self' godaddy.com *.godaddy.com dev-godaddy.com *.dev-godaddy.com test-godaddy.com *.test-godaddy.com",
            "content_type": "text/html;charset=utf-8",
            "cross_origin_embedder_policy": null,
            "cross_origin_opener_policy": null,
            "cross_origin_resource_policy": null,
            "expect_ct": null,
            "feature_policy": null,
            "last_modified": null,
            "permission_policy": null,
            "referrer_policy": null,
            "server": "DPS/2.0.0+sha-bc33bdf",
            "set_cookie": "dps_site_id=<value>; path=/",
            "strict_transport_security": null,
            "x_content_type_options": null,
            "x_download_options": null,
            "x_frame_options": null,
            "x_permitted_cross_domain_policies": null,
            "x_powered_by": null,
            "x_xss_protection": null
          },
          "cookies": [
            {
              "name": "dps_site_id",
              "value": "<value>"
            }
          ]
        }
      }
    },
    {
      "punycode": "zeitlos-bw.de",
      "unicode": "zeitlos-bw.de",
      "is_idn": false,
      "subdomain": null,
      "subdomain_last": null,
      "subdomain_root": null,
      "name": {
        "punycode": "zeitlos-bw",
        "unicode": "zeitlos-bw",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": true,
        "length": 10,
        "lang": "de",
        "keywords": [
          "zeit",
          "los",
          "bw"
        ],
        "keyword_count": 3,
        "latinized": [],
        "contains_confusable": false
      },
      "domain": {
        "punycode": "zeitlos-bw.de",
        "unicode": "zeitlos-bw.de",
        "is_idn": false,
        "name": {
          "punycode": "zeitlos-bw",
          "unicode": "zeitlos-bw",
          "is_idn": false,
          "contains_letter": true,
          "contains_number": false,
          "contains_hyphen": true,
          "length": 10,
          "lang": "de",
          "keywords": [
            "zeit",
            "los",
            "bw"
          ],
          "keyword_count": 3
        },
        "extension": {
          "punycode": "de",
          "unicode": "de",
          "is_idn": false
        },
        "extension_root": {
          "punycode": "de",
          "unicode": "de",
          "is_idn": false
        },
        "extension_sub": null,
        "extension_type": 2,
        "reserved": null,
        "premium": null,
        "registered": true,
        "whois": {
          "create_date": null,
          "update_date": "2021-11-21T20:24:26Z",
          "expiry_date": null,
          "registrar": null,
          "registrant": {
            "name": null,
            "organization": null,
            "street": null,
            "city": null,
            "state": null,
            "postal_code": null,
            "country": null,
            "phone": null,
            "email": null
          },
          "name_servers": [
            "ns1046.ui-dns.com",
            "ns1067.ui-dns.biz",
            "ns1081.ui-dns.de",
            "ns1103.ui-dns.org"
          ],
          "domain_status": [
            "connect"
          ],
          "whois_server": null,
          "check_date": "2026-09-03T16:35:32Z"
        },
        "whois_normalized": {
          "registrant": null
        },
        "whois_last_check_date": "2026-09-03T16:35:32Z",
        "whois_create_date_historical": [],
        "whois_last_change_date": null,
        "whois_registrant_email_historical": [],
        "whois_privacy_enabled": null,
        "dns": {
          "a": {
            "update_date": "2026-08-13T03:29:44Z",
            "ip_addresses": [
              "217.160.0.155"
            ]
          }
        },
        "dns_last_change_date": "2026-05-12T21:26:46Z",
        "ip_history": [
          "217.160.0.155"
        ],
        "ssl": {
          "validity": {
            "start_date": "2025-11-09T00:00:00Z",
            "end_date": "2026-11-23T23:59:59Z"
          },
          "serial_number": "253252943435331182786811484665393325838",
          "check_date": "2025-11-21T17:05:04Z"
        },
        "ssl_last_change_date": "2025-11-19T18:04:28Z"
      },
      "type": 1,
      "subdomain_level_count": 0,
      "dns": {
        "a": {
          "update_date": "2026-08-13T03:29:44Z",
          "ip_addresses": [
            "217.160.0.155"
          ]
        },
        "aaaa": {
          "update_date": "2026-08-13T03:29:44Z",
          "ip_addresses": [
            "2001:8d8:100f:f000::24a"
          ]
        },
        "ns": {
          "update_date": "2026-08-13T03:29:44Z",
          "name_servers": [
            "ns1046.ui-dns.com",
            "ns1067.ui-dns.biz",
            "ns1081.ui-dns.de",
            "ns1103.ui-dns.org"
          ]
        },
        "mx": {
          "update_date": "2026-08-13T03:29:44Z",
          "mail_servers": [
            "mx00.ionos.de",
            "mx01.ionos.de"
          ]
        },
        "soa": {
          "update_date": "2026-08-13T03:29:44Z",
          "mnames": [
            "ns1067.ui-dns.biz"
          ],
          "rnames": [
            "hostmaster.1und1.com"
          ],
          "rname_emails": [
            "user@1und1.com"
          ]
        },
        "txt": {
          "update_date": "2026-08-13T03:29:44Z",
          "values": [
            "\"t3kprv3lhp9q99jtc5p0z2yw0j2t5hbv\"",
            "\"v=spf1 include:_spf-eu.ionos.com ~all\""
          ]
        },
        "cname": {
          "update_date": "2026-08-13T03:29:44Z",
          "values": []
        },
        "others": []
      },
      "dns_last_change_date": "2026-05-12T21:26:45Z",
      "ip_history": [
        "217.160.0.155"
      ],
      "ssl": {
        "tags": [
          "dla"
        ],
        "fqdns": [
          "zeitlos-bw.de"
        ],
        "version": 3,
        "serial_number": "253252943435331182786811484665393325838",
        "fingerprint": {
          "sha256": "85fcf1f187396a4dae34c16ff5a4ab33a4a52ed259c7aaddfd18f282b2c29733",
          "sha1": "78bb32369fd17fc429ab6a774d8c907bfcb8c2ae",
          "md5": "57d046756f1533619d6df702f718aa59"
        },
        "validity": {
          "start_date": "2025-11-09T00:00:00Z",
          "end_date": "2026-11-23T23:59:59Z",
          "length": 32831999
        },
        "signature": {
          "is_self_signed": false,
          "is_valid": true,
          "value": "ksIXGpbWY2OeB9zlHyC7yshamEesQphMXvvKlILV/m91ORtN5W0H936IMVK1MJJ5BdVBUDCZtPpg7bbhzFkwlqgf8bN5wtDtpikQ4IT6iQnaxFljpTy2Pe9MCg0g5L2lYT0cCzpRh1aJJHBfXKfp7grcpS5QhdHWr9uPShZjEFPiKuykOMFbCxujNXBKAE7YNlGqJmruD5IKhzscFYI0HkjzYkTdnZ1u31DQJctMS4d4PgC92psPA1tgbBotRrT9dFupPBjVEAdXRF+VY9psJeiT32vKnaC6bXabGiTr4UUMYfy+WXT2k77Eguo5tfFQT1INg9ZHQAliOhAMIgeaJFMDjQlYlS7dszhwP2E9yHBnnO8jwM+5ql/CGaeCn66FuBjsHfJmsKpUdEqeuYSxgHpKgVN3ZhVpT1RkDC1On6AmGiRihjK04PGQdFrPh33RXwc6N/xvjyhpvvmVDHPGWsM5FlG3lWMMp+szgX6s9DQxRF/TyZuiB6WO08ybZejs",
          "algorithm": {
            "oid": "1.2.840.113549.1.1.11",
            "name": "sha256"
          }
        },
        "issuer_dn": "CN=Sectigo Public Server Authentication CA DV R36,O=Sectigo Limited,C=GB",
        "issuer": {
          "common_name": "Sectigo Public Server Authentication CA DV R36",
          "country": "GB",
          "state": null,
          "locality": null,
          "organization": "Sectigo Limited",
          "organizational_unit": null
        },
        "subject_dn": "CN=*.zeitlos-bw.de",
        "subject": {
          "common_name": "*.zeitlos-bw.de",
          "country": null,
          "state": null,
          "locality": null,
          "organization": null,
          "organizational_unit": null
        },
        "extensions": {
          "authority_key_id": "aMASFhgOr872h6YyV6NGUV3LByc=",
          "basic_constraints": {
            "is_ca": false
          },
          "certificate_policies": [
            "1.3.6.1.4.1.6449.1.2.2.7",
            "2.23.140.1.2.1"
          ],
          "extended_key_usage": {
            "client_auth": null,
            "server_auth": true
          },
          "key_usage": {
            "digital_signature": true,
            "content_commitment": false,
            "key_agreement": false,
            "data_encipherment": false,
            "key_encipherment": true,
            "key_cert_sign": false,
            "crl_sign": false
          },
          "signed_certificate_timestamps": [
            "2025-11-09T04:27:18Z"
          ],
          "subject_alt_name": {
            "dns_names": [
              "*.zeitlos-bw.de",
              "zeitlos-bw.de"
            ]
          },
          "subject_key_id": "Mp2G5OOLFkZhiQfjPuoT8CjkMlI="
        },
        "check_date": "2025-11-21T17:05:04Z"
      },
      "ssl_last_change_date": "2025-11-19T18:04:27Z",
      "webdata": {
        "connection_status": "success",
        "html": {
          "source_code_hash": "6c6da6e2295c38723cf5cba27249b3680dc07e2544329c60098ebec0e40266df"
        },
        "http": {
          "status_code_first": 301,
          "status_code_last": 200,
          "redirection_history": [
            {
              "url": "http://zeitlos-bw.de/",
              "status_code": 301
            },
            {
              "url": "https://zeitlos-bw.de/",
              "status_code": 200
            }
          ],
          "external_redirection": false,
          "final_url": "https://zeitlos-bw.de/",
          "final_fqdn": "zeitlos-bw.de",
          "final_domain": "zeitlos-bw.de",
          "headers": {
            "others": [
              {
                "name": "transfer_encoding",
                "value": "chunked"
              },
              {
                "name": "connection",
                "value": "keep-alive"
              },
              {
                "name": "x_ws_origin",
                "value": "available"
              },
              {
                "name": "x_ws_ratelimit_limit",
                "value": "1000"
              },
              {
                "name": "x_ws_ratelimit_remaining",
                "value": "999"
              },
              {
                "name": "date",
                "value": "Sat, 23 May 2026 01:32:51 GMT"
              },
              {
                "name": "permissions_policy",
                "value": "private-state-token-redemption=(self \"https://www.google.com\" \"https://www.gstatic.com\" \"https://recaptcha.net\" \"https://challenges.cloudflare.com\" \"https://hcaptcha.com\"), private-state-token-issuance=(self \"https://www.google.com\" \"https://www.gstatic.com\" \"https://recaptcha.net\" \"https://challenges.cloudflare.com\" \"https://hcaptcha.com\")"
              },
              {
                "name": "link",
                "value": "<https://zeitlos-bw.de/wp-json/>; rel=\"https://api.w.org/\", <https://zeitlos-bw.de/wp-json/wp/v2/pages/164>; rel=\"alternate\"; title=\"JSON\"; type=\"application/json\", <https://zeitlos-bw.de/>; rel=shortlink"
              }
            ],
            "access_control_allow_headers": null,
            "access_control_allow_methods": null,
            "access_control_allow_origin": null,
            "cache_control": null,
            "clear_site_data": null,
            "content_encoding": "gzip",
            "content_security_policy": null,
            "content_type": "text/html; charset=UTF-8",
            "cross_origin_embedder_policy": null,
            "cross_origin_opener_policy": null,
            "cross_origin_resource_policy": null,
            "expect_ct": null,
            "feature_policy": null,
            "last_modified": null,
            "permission_policy": null,
            "referrer_policy": null,
            "server": "Apache",
            "set_cookie": null,
            "strict_transport_security": null,
            "x_content_type_options": "nosniff",
            "x_download_options": null,
            "x_frame_options": null,
            "x_permitted_cross_domain_policies": null,
            "x_powered_by": "PHP/7.4.33",
            "x_xss_protection": "1; mode=block"
          },
          "cookies": []
        }
      }
    }
  ]
}
```

## Related Examples

- [Wildcard Certificates From Let's Encrypt](/reference/discovery/domain-search/examples/wildcard-certificates-from-lets-encrypt/)
- [Web URL Starting With https://](/reference/discovery/domain-search/examples/webdata-url/)
- [Redirect Chain Through Plain HTTP](/reference/discovery/domain-search/examples/webdata-http-redirection-history-url/)
- [Cache-Control With a Max Age](/reference/discovery/domain-search/examples/webdata-http-headers-cache-control/)
- [HTML Content Type](/reference/discovery/domain-search/examples/webdata-http-headers-content-type/)
- [TXT Record Starting With a Verification Token](/reference/discovery/domain-search/examples/dns-txt-values/)
